# Get action number
scoreboard players set @s PigAction 0
scoreboard players set @s PigAction 1 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["bay"]}}}
scoreboard players set @s PigAction 2 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["rocks"]}}}
scoreboard players set @s PigAction 3 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["sea"]}}}
scoreboard players set @s PigAction 4 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["glaciers"]}}}
scoreboard players set @s PigAction 5 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["random"]}}}

scoreboard players set @s PigAction 6 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["pirate_hat"]}}}
scoreboard players set @s PigAction 7 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["eyepatch"]}}}
scoreboard players set @s PigAction 14 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["no_hat"]}}}

scoreboard players set @s PigAction 8 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["spectate"]}}}
scoreboard players set @s PigAction 9 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["join"]}}}
scoreboard players set @s PigAction 10 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["red"]}}}
scoreboard players set @s PigAction 11 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["blue"]}}}
scoreboard players set @s PigAction 12 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["green"]}}}
scoreboard players set @s PigAction 13 {RootVehicle:{Entity:{id:"minecraft:pig",Tags:["yellow"]}}}

# Perform action
execute @s[score_PigAction_min=1,score_PigAction=1] ~ ~ ~ function phase_lobby:pig_actions/map_bay
execute @s[score_PigAction_min=2,score_PigAction=2] ~ ~ ~ function phase_lobby:pig_actions/map_rocks
execute @s[score_PigAction_min=3,score_PigAction=3] ~ ~ ~ function phase_lobby:pig_actions/map_sea
execute @s[score_PigAction_min=4,score_PigAction=4] ~ ~ ~ function phase_lobby:pig_actions/map_glaciers
execute @s[score_PigAction_min=5,score_PigAction=5] ~ ~ ~ function phase_lobby:pig_actions/map_random

execute @s[score_PigAction_min=6,score_PigAction=6] ~ ~ ~ function phase_lobby:pig_actions/equip_pirate_hat
execute @s[score_PigAction_min=7,score_PigAction=7] ~ ~ ~ function phase_lobby:pig_actions/equip_eyepatch
execute @s[score_PigAction_min=14,score_PigAction=14] ~ ~ ~ function phase_lobby:pig_actions/equip_no_hat

execute @s[score_PigAction_min=8,score_PigAction=8] ~ ~ ~ function phase_lobby:pig_actions/spectate
execute @s[score_PigAction_min=9,score_PigAction=9] ~ ~ ~ function phase_lobby:pig_actions/join
execute @s[score_PigAction_min=10,score_PigAction=10] ~ ~ ~ function phase_lobby:pig_actions/join_red
execute @s[score_PigAction_min=11,score_PigAction=11] ~ ~ ~ function phase_lobby:pig_actions/join_blue
execute @s[score_PigAction_min=12,score_PigAction=12] ~ ~ ~ function phase_lobby:pig_actions/join_green
execute @s[score_PigAction_min=13,score_PigAction=13] ~ ~ ~ function phase_lobby:pig_actions/join_yellow

# Effects
playsound entity.arrow.hit_player master @s[score_PigAction_min=0,score_PigAction=5] ~ ~ ~ 2 0.5
playsound item.armor.equip_elytra master @s[score_PigAction_min=6,score_PigAction=7] ~ ~ ~ 2 0.8
playsound entity.generic.drink master @s[score_PigAction_min=8,score_PigAction=13] ~ ~ ~ 2 0.6
effect @s[score_PigAction_min=8,score_PigAction=13] minecraft:slowness 1 20 true

# Go back to previous location
scoreboard players operation @e[type=area_effect_cloud,tag=LOBBYPlayerMarker,r=8] PlayerID -= @s PlayerID
tp @s @e[type=area_effect_cloud,tag=LOBBYPlayerMarker,score_PlayerID=0,score_PlayerID_min=0,r=8]
scoreboard players operation @e[type=area_effect_cloud,tag=LOBBYPlayerMarker,r=8] PlayerID += @s PlayerID

scoreboard players tag @s remove LOBBYClickedPig