# After map loaded

entitydata 0-0-0-0-1 {CustomName:"PhaseBuild"}

# Add mode tag
scoreboard players tag 0-0-0-0-1 remove FFA
scoreboard players tag 0-0-0-0-1 remove TEAM
scoreboard players tag 0-0-0-0-1 remove AI
execute 0-0-0-0-1 ~ ~ ~ detect -12 17 6 carpet color=gray scoreboard players tag @s add FFA
execute 0-0-0-0-1 ~ ~ ~ detect -12 17 6 carpet color=green scoreboard players tag @s add TEAM
execute 0-0-0-0-1 ~ ~ ~ detect -12 17 6 carpet color=yellow scoreboard players tag @s add AI

# Choose spawns based on mode
scoreboard players tag @e[type=area_effect_cloud,tag=GAMESpawnMarkerCandidate] remove GAMESpawnMarkerChosen
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=FFA] ~ ~ ~ function phase_build:choose_spawn/ffas
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=TEAM] ~ ~ ~ function phase_build:choose_spawn/teams
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=AI] ~ ~ ~ function phase_build:choose_spawn/ai
tp @a[m=spectator] @a[c=1,m=!spectator]

# Barrier walls on GAMESpawnMarkerChosen
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~8 ~ ~7 ~8 100 ~-8 barrier default replace air
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~7 ~ ~8 ~-8 100 ~8 barrier default replace air
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~-9 ~ ~7 ~-9 100 ~-8 barrier default replace air
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~7 ~ ~-9 ~-8 100 ~-9 barrier default replace air
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~7 100 ~7 ~-8 100 ~-8 barrier default replace air

# Per-player stuff
execute @a[m=!spectator] ~ ~ ~ function phase_build:start_player

# Give out treasure chests and helms (FFA: Everyone gets one, TEAM & AI: Random team member gets one)
give @a[m=!spectator,team=play] oak_stairs 1 0 {display:{LocName:"Treasure Chest",Lore:["§r§7Acts as your respawn point","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=play_ai] oak_stairs 1 0 {display:{LocName:"Treasure Chest",Lore:["§r§7Acts as your respawn point","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=blue] oak_stairs 1 0 {display:{LocName:"Treasure Chest",Lore:["§r§7Acts as your respawn point","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=red] oak_stairs 1 0 {display:{LocName:"Treasure Chest",Lore:["§r§7Acts as your respawn point","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=green] oak_stairs 1 0 {display:{LocName:"Treasure Chest",Lore:["§r§7Acts as your respawn point","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=yellow] oak_stairs 1 0 {display:{LocName:"Treasure Chest",Lore:["§r§7Acts as your respawn point","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}

give @a[m=!spectator,team=play] nether_brick_stairs 1 0 {display:{LocName:"Helm",Lore:["§r§7Used to control your raft","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=play_ai] nether_brick_stairs 1 0 {display:{LocName:"Helm",Lore:["§r§7Used to control your raft","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=blue] nether_brick_stairs 1 0 {display:{LocName:"Helm",Lore:["§r§7Used to control your raft","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=red] nether_brick_stairs 1 0 {display:{LocName:"Helm",Lore:["§r§7Used to control your raft","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=green] nether_brick_stairs 1 0 {display:{LocName:"Helm",Lore:["§r§7Used to control your raft","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}
give @r[m=!spectator,team=yellow] nether_brick_stairs 1 0 {display:{LocName:"Helm",Lore:["§r§7Used to control your raft","§r§7Has gravity"]},HideFlags:16,CanPlaceOn:["minecraft:planks","minecraft:wool","minecraft:glass","minecraft:stained_glass","minecraft:iron_block","minecraft:redstone_block","minecraft:diamond_block","minecraft:emerald_block","minecraft:gold_block"]}

# Detect player count, run corrosponding function to give out build blocks
scoreboard players set 0-0-0-0-1 PlayerCount 0
execute @a[m=!spectator] ~ ~ ~ scoreboard players add 0-0-0-0-1 PlayerCount 1
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=1,score_PlayerCount=1] ~ ~ ~ function phase_build:building_supplies_1
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=2,score_PlayerCount=2] ~ ~ ~ function phase_build:building_supplies_2
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=3,score_PlayerCount=3] ~ ~ ~ function phase_build:building_supplies_3
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=4,score_PlayerCount=4] ~ ~ ~ function phase_build:building_supplies_4
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=5,score_PlayerCount=5] ~ ~ ~ function phase_build:building_supplies_5
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=6,score_PlayerCount=6] ~ ~ ~ function phase_build:building_supplies_6
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=7,score_PlayerCount=7] ~ ~ ~ function phase_build:building_supplies_7
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=8,score_PlayerCount=8] ~ ~ ~ function phase_build:building_supplies_8
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=9,score_PlayerCount=9] ~ ~ ~ function phase_build:building_supplies_9
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=10,score_PlayerCount=10] ~ ~ ~ function phase_build:building_supplies_10
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=11,score_PlayerCount=11] ~ ~ ~ function phase_build:building_supplies_11
execute 0-0-0-0-1 ~ ~ ~ execute @s[score_PlayerCount_min=12,score_PlayerCount=12] ~ ~ ~ function phase_build:building_supplies_12

# Set up timer, less for more players (as they have less blocks)
scoreboard players set 0-0-0-0-1 BuildTimerTick 20
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=1,score_PlayerCount=1] BuildTimerSecond 345
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=2,score_PlayerCount=2] BuildTimerSecond 188
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=3,score_PlayerCount=3] BuildTimerSecond 135
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=4,score_PlayerCount=4] BuildTimerSecond 109
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=5,score_PlayerCount=5] BuildTimerSecond 93
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=6,score_PlayerCount=6] BuildTimerSecond 83
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=7,score_PlayerCount=7] BuildTimerSecond 75
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=8,score_PlayerCount=8] BuildTimerSecond 69
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=9,score_PlayerCount=9] BuildTimerSecond 66
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=10,score_PlayerCount=10] BuildTimerSecond 62
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=11,score_PlayerCount=11] BuildTimerSecond 59
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[score_PlayerCount_min=12,score_PlayerCount=12] BuildTimerSecond 57