# Remove old tags
scoreboard players tag @s remove GAMEAnyRemain

scoreboard players tag @s remove GAMEOneRemain

scoreboard players tag @s remove GAMEBlueRemain
scoreboard players tag @s remove GAMERedRemain
scoreboard players tag @s remove GAMEGreenRemain
scoreboard players tag @s remove GAMEYellowRemain

scoreboard players tag @s remove GAMEBlueWon
scoreboard players tag @s remove GAMERedWon
scoreboard players tag @s remove GAMEGreenWon
scoreboard players tag @s remove GAMEYellowWon

scoreboard players tag @s remove GAMEEnd

# Set up stats
scoreboard players add @s SuccessCount 0
stats entity @s set SuccessCount @s SuccessCount

# Tie check
testfor @a[m=!spectator]
scoreboard players tag @s[score_SuccessCount_min=1] add GAMEAnyRemain
execute @s[tag=!GAMEAnyRemain] ~ ~ ~ title @a title [{"text":"Tie!","color":"gray"}]
execute @s[tag=!GAMEAnyRemain] ~ ~ ~ tellraw @a [{"text":"Tie!","color":"gray"}]
scoreboard players tag @s[tag=!GAMEAnyRemain] add GAMEEnd

# TEAM win check
testfor @a[team=blue,m=!spectator]
scoreboard players tag @s[score_SuccessCount_min=1] add GAMEBlueRemain
testfor @a[team=red,m=!spectator]
scoreboard players tag @s[score_SuccessCount_min=1] add GAMERedRemain
testfor @a[team=green,m=!spectator]
scoreboard players tag @s[score_SuccessCount_min=1] add GAMEGreenRemain
testfor @a[team=yellow,m=!spectator]
scoreboard players tag @s[score_SuccessCount_min=1] add GAMEYellowRemain

execute @s[tag=GAMEBlueRemain] ~ ~ ~ execute @s[tag=!GAMEYellowRemain] ~ ~ ~ execute @s[tag=!GAMEGreenRemain] ~ ~ ~ execute @s[tag=!GAMERedRemain] ~ ~ ~ scoreboard players tag @s add GAMEBlueWon
execute @s[tag=GAMERedRemain] ~ ~ ~ execute @s[tag=!GAMEBlueRemain] ~ ~ ~ execute @s[tag=!GAMEYellowRemain] ~ ~ ~ execute @s[tag=!GAMEGreenRemain] ~ ~ ~ scoreboard players tag @s add GAMERedWon
execute @s[tag=GAMEGreenRemain] ~ ~ ~ execute @s[tag=!GAMERedRemain] ~ ~ ~ execute @s[tag=!GAMEBlueRemain] ~ ~ ~ execute @s[tag=!GAMEYellowRemain] ~ ~ ~ scoreboard players tag @s add GAMEGreenWon
execute @s[tag=GAMEYellowRemain] ~ ~ ~ execute @s[tag=!GAMEGreenRemain] ~ ~ ~ execute @s[tag=!GAMERedRemain] ~ ~ ~ execute @s[tag=!GAMEBlueRemain] ~ ~ ~ scoreboard players tag @s add GAMEYellowWon

execute @s[tag=GAMEBlueWon] ~ ~ ~ title @a title [{"text":"Blue won!","color":"dark_aqua"}]
execute @s[tag=GAMERedWon] ~ ~ ~ title @a title [{"text":"Red won!","color":"red"}]
execute @s[tag=GAMEGreenWon] ~ ~ ~ title @a title [{"text":"Green won!","color":"green"}]
execute @s[tag=GAMEYellowWon] ~ ~ ~ title @a title [{"text":"Yellow won!","color":"yellow"}]

execute @s[tag=GAMEBlueWon] ~ ~ ~ tellraw @a [{"text":"Blue won!","color":"dark_aqua"}]
execute @s[tag=GAMERedWon] ~ ~ ~ tellraw @a [{"text":"Red won!","color":"red"}]
execute @s[tag=GAMEGreenWon] ~ ~ ~ tellraw @a [{"text":"Green won!","color":"green"}]
execute @s[tag=GAMEYellowWon] ~ ~ ~ tellraw @a [{"text":"Yellow won!","color":"yellow"}]

scoreboard players tag @s[tag=GAMEBlueWon] add GAMEEnd
scoreboard players tag @s[tag=GAMERedWon] add GAMEEnd
scoreboard players tag @s[tag=GAMEGreenWon] add GAMEEnd
scoreboard players tag @s[tag=GAMEYellowWon] add GAMEEnd

# FFA win check
testfor @a[team=play,m=!spectator]
scoreboard players tag @s[score_SuccessCount_min=1,score_SuccessCount=1] add GAMEOneRemain
execute @s[tag=GAMEOneRemain] ~ ~ ~ title @a title [{"selector":"@a[team=play,m=!spectator]"},{"text":" won!","color":"gray"}]
execute @s[tag=GAMEOneRemain] ~ ~ ~ tellraw @a [{"selector":"@a[team=play,m=!spectator]"},{"text":" won!","color":"gray"}]
scoreboard players tag @s[tag=GAMEOneRemain] add GAMEEnd

# End
execute @s[tag=GAMEEnd] ~ ~ ~ playsound ui.toast.challenge_complete master @a ~ ~ ~ 0 1.8 1
execute @s[tag=GAMEEnd] ~ ~ ~ function phase_lobby:start

# Clean up
stats entity @s clear SuccessCount
scoreboard players set @s WinCheckTimer 0